Bug 1978202 - RHEL 6 template is tagged as "community"
Summary: RHEL 6 template is tagged as "community"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Yaacov Zamir
QA Contact: YaoJinbo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-01 09:58 UTC by Fabian Deutsch
Modified: 2021-10-18 17:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: We defined "community" as redhat provieded templates that are not supported by redhat Consequence: rhel6 that is provided by redhat but not supported was labeled as "community" Fix: define "community" templates that are not provided by redhat and are not supported by the provider Result: rhel6 is not labeled "community"
Clone Of:
Environment:
Last Closed: 2021-10-18 17:37:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of templates, showing RHEL 6 tpl with "community" tag (194.03 KB, image/png)
2021-07-01 09:58 UTC, Fabian Deutsch
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9658 0 None open Bug 1978202: RH templates are always supported 2021-07-28 10:56:56 UTC
Github openshift console pull 9782 0 None None None 2021-08-11 10:06:11 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:37:50 UTC

Description Fabian Deutsch 2021-07-01 09:58:16 UTC
Created attachment 1796753 [details]
Screenshot of templates, showing RHEL 6 tpl with "community" tag

Description of problem:
The RHEL 6 template has the "community" badge/tag - but it is Red Hat provided and supported and should therefore note have it.

Version-Release number of selected component (if applicable):
4.8

How reproducible:


Steps to Reproduce:
1. Deploy OCP 4.8.0 with CNV 2.6.5
2. Chcek templates
3.

Actual results:
RHEL 6 template has the "community" tag

Expected results:
RHEL 6 template does not have the "community" tag

Additional info:

Comment 1 Guohua Ouyang 2021-07-12 11:22:39 UTC
The problem does not happen on CNV 4.8 + OCP 4.8.

Comment 2 Guohua Ouyang 2021-07-13 08:53:11 UTC
Reproduced this issue on CNV 2.6.6 + OCP master as well.

Comment 3 Yaacov Zamir 2021-07-28 10:40:13 UTC
Hi, all

Currently we flag "community" any template that is provided by red hat but is not supported,
for example Fedora, Centos, Suse and rhel6

We can fix this by flagging community" templates that:
template is not provided by redhat **and** template is not fully supported by another provider

Fabian hi, does that logic change makes sense to you ?

Comment 6 Fabian Deutsch 2021-08-09 12:18:49 UTC
Yaacov, I don't think we need a logic change, instead RHEL 6 should be marked as supported by RH

Comment 7 Yaacov Zamir 2021-08-11 09:42:48 UTC
changing the logic to use the documentation ( safest bet :-) )
https://access.redhat.com/articles/973163#ocpvirt

will use a list of supported templates instead of a logic.

Comment 9 YaoJinbo 2021-08-19 09:45:48 UTC
Verified on latest master.
RHEL 6 template does not have the "community" tag

Comment 12 errata-xmlrpc 2021-10-18 17:37:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.